Package com.enonic.xp.portal.handler

## Class BasePortalHandler

- java.lang.Object
- - com.enonic.xp.web.handler.BaseWebHandler
  - - com.enonic.xp.portal.handler.BasePortalHandler

- All Implemented Interfaces:
    `WebHandler`
  Direct Known Subclasses:
    `BaseSiteHandler`

      public abstract class BasePortalHandler
      extends BaseWebHandler

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected ExceptionMapper` | `exceptionMapper` |
    `protected ExceptionRenderer` | `exceptionRenderer` |

    - ### Fields inherited from interface com.enonic.xp.web.handler.WebHandler

      `MAX_ORDER, MIN_ORDER`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BasePortalHandler()` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected abstract PortalRequest` | `createPortalRequest​(WebRequest webRequest, WebResponse webResponse)` |
    `protected WebResponse` | `doHandle​(WebRequest webRequest, WebResponse webResponse, WebHandlerChain webHandlerChain)` |

    - ### Methods inherited from class com.enonic.xp.web.handler.BaseWebHandler

      `addTraceInfo, badRequest, canHandle, getBodyLength, getOrder, getSize, handle, methodNotAllowed, notFound`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### exceptionMapper

          protected ExceptionMapper exceptionMapper

    - #### exceptionRenderer

          protected ExceptionRenderer exceptionRenderer

  - ### Constructor Detail

    - #### BasePortalHandler

          public BasePortalHandler()

  - ### Method Detail

    - #### doHandle

          protected WebResponse doHandle​(WebRequest webRequest,
                                         WebResponse webResponse,
                                         WebHandlerChain webHandlerChain)

      Specified by:
        `doHandle` in class `BaseWebHandler`

    - #### createPortalRequest

          protected abstract PortalRequest createPortalRequest​(WebRequest webRequest,
                                                               WebResponse webResponse)